Page MenuHomePhabricator

Move Blubber repo and CR to Gerrit
Closed, ResolvedPublic

Description

Changes to the Blubber repo have slowed significantly as it has become more feature complete. Now would be a good time to make the move to Gerrit.

Granted the go-import plugin for gerrit works as described, this shouldn't be that difficult a process:

  • Create a Blubber project in Gerrit.
  • Push to Gerrit
  • Modify import statements in Blubber to point to (???) gerrit.wikimedia.org/blubber, or maybe gerrit.wikimedia.org/r/blubber. Will need some trial and error probably.
  • Test go get and friends.
  • Edit READMEs and any on-wiki documentation to reflect changes.
  • Do whatever needs doing to delete/archive Differential project. (Are there docs for this somewhere?)

Event Timeline

dduvall created this task.Jul 26 2018, 5:19 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 26 2018, 5:19 PM
dduvall claimed this task.Jul 26 2018, 5:20 PM
dduvall triaged this task as Medium priority.
dduvall moved this task from Backlog to In-progress on the Release-Engineering-Team (Kanban) board.
dduvall updated the task description. (Show Details)Jul 26 2018, 5:35 PM

Looks like the go-import Gerrit plugin handles requests to https://gerrit.wikimedia.org/r/blubber?go-get=1 but points to https://gerrit.wikimedia.org/r/a/blubber. Cloning from there requires authentication and so the git clone subprocess bails. I'll look into whether we can configure the plugin to simply use git clone https://gerrit.wikimedia.org/r/blubber.

$ go get gerrit.wikimedia.org/r/blubber
# cd .; git clone https://gerrit.wikimedia.org/r/a/blubber /Users/dduvall/go/src/gerrit.wikimedia.org/r/blubber
Cloning into '/Users/dduvall/go/src/gerrit.wikimedia.org/r/blubber'...
fatal: could not read Username for 'https://gerrit.wikimedia.org': terminal prompts disabled
package gerrit.wikimedia.org/r/blubber: exit status 128
dduvall updated the task description. (Show Details)Jul 26 2018, 5:58 PM

An upstream patch has been submitted to fix the auth requirement for the go-import Gerrit plugin. We've also forked our own repo for the plugin at operations/software/gerrit/plugins/go-import and have merged/deployed the patch to our servers.

Change 449365 had a related patch set uploaded (by Dduvall; owner: Dduvall):
[blubber@master] Change import paths from Phabricator to Gerrit

https://gerrit.wikimedia.org/r/449365

Change 449365 merged by Thcipriani:
[blubber@master] Change import paths from Phabricator to Gerrit

https://gerrit.wikimedia.org/r/449365

Change 449636 had a related patch set uploaded (by Dduvall; owner: Dduvall):
[blubber@master] Provide Makefile rules for running linters and tests

https://gerrit.wikimedia.org/r/449636

Change 449637 had a related patch set uploaded (by Dduvall; owner: Dduvall):
[blubber@master] Test Blubber in CI using Blubber

https://gerrit.wikimedia.org/r/449637

dduvall updated the task description. (Show Details)Aug 1 2018, 11:50 PM

Change 449636 merged by Thcipriani:
[blubber@master] Provide Makefile rules for running linters and tests

https://gerrit.wikimedia.org/r/449636

Change 449637 merged by jenkins-bot:
[blubber@master] Test Blubber in CI using Blubber

https://gerrit.wikimedia.org/r/449637

dduvall closed this task as Resolved.Aug 13 2018, 10:53 PM
dduvall updated the task description. (Show Details)

Diffusion repo is now read-only and mirrors gerrit.wikimedia.org/r/blubber.